ip_addr.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/def.h"`
`#include "lwip/ip4_addr.h"`
`#include "lwip/ip6_addr.h"`

## Data Structures

struct | ip_addr

## Macros

#define | ip_2_ip6(ipaddr) (&((ipaddr)->u_addr.ip6))
#define | ip_2_ip4(ipaddr) (&((ipaddr)->u_addr.ip4))
#define | ip_addr_netcmp(addr1, addr2, mask) ip_addr_net_eq((addr1), (addr2), (mask))
#define | ip_addr_net_eq(addr1, addr2, mask)
#define | ip_addr_cmp(addr1, addr2) ip_addr_eq((addr1), (addr2))
#define | ip_addr_eq(addr1, addr2)
#define | ip_addr_cmp_zoneless(addr1, addr2) ip_addr_zoneless_eq((addr1), (addr2))
#define | ip_addr_zoneless_eq(addr1, addr2)
#define | ip_addr_isany(ipaddr)
#define | ip_addr_isany_val(ipaddr)
#define | ip_addr_isbroadcast(ipaddr, netif)
#define | ip_addr_ismulticast(ipaddr)
#define | ip_addr_isloopback(ipaddr)
#define | ip_addr_islinklocal(ipaddr)
#define | IP_ADDR_ANY IP4_ADDR_ANY
#define | IP4_ADDR_ANY (&ip_addr_any)
#define | IP4_ADDR_ANY4 (ip_2_ip4(&ip_addr_any))
#define | IP6_ADDR_ANY (&ip6_addr_any)
#define | IP6_ADDR_ANY6 (ip_2_ip6(&ip6_addr_any))
#define | IP_ANY_TYPE (&ip_addr_any_type)

## Typedefs

typedef struct ip_addr | ip_addr_t

## Enumerations

enum | lwip_ip_addr_type { IPADDR_TYPE_V4 = 0U, IPADDR_TYPE_V6 = 6U, IPADDR_TYPE_ANY = 46U }

## Functions

char * | ipaddr_ntoa (const ip_addr_t *addr)
char * | ipaddr_ntoa_r (const ip_addr_t *addr, char *buf, int buflen)
int | ipaddr_aton (const char *cp, ip_addr_t *addr)

## Detailed Description

IP address API (common IPv4 and IPv6)